package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 采购合同需方收货人表
 * </p>
 *
 * @author yafan
 * @since 2024-01-08
 */
@TableName("purch_contract_need_user_rel")
public class PurchContractNeedUserRel implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 采购合同审核表Id
     */
    @TableField("purch_contract_approval_id")
    private Long purchContractApprovalId;

    @TableField("name")
    private String name;

    @TableField("id_card")
    private String idCard;

    @TableField("mobile")
    private String mobile;

    /**
     * b端用户表id
     */
    @TableField("sys_user_id")
    private Long sysUserId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getPurchContractApprovalId() {
        return purchContractApprovalId;
    }

    public void setPurchContractApprovalId(Long purchContractApprovalId) {
        this.purchContractApprovalId = purchContractApprovalId;
    }
    public Long getSysUserId() {
        return sysUserId;
    }

    public void setSysUserId(Long sysUserId) {
        this.sysUserId = sysUserId;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return "PurchContractNeedUserRel{" +
            "id=" + id +
            ", purchContractApprovalId=" + purchContractApprovalId +
            ", sysUserId=" + sysUserId +
        "}";
    }
}
